#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECsgoGCMsg {
    Base = 9100,
    MatchmakingStart = 9101,
    MatchmakingStop = 9102,
    MatchmakingClient2ServerPing = 9103,
    MatchmakingGC2ClientUpdate = 9104,
    MatchmakingServerReservationResponse = 9106,
    MatchmakingGC2ClientReserve = 9107,
    MatchmakingClient2GCHello = 9109,
    MatchmakingGC2ClientHello = 9110,
    MatchmakingGC2ClientAbandon = 9112,
    MatchmakingOperator2GCBlogUpdate = 9117,
    ServerNotificationForUserPenalty = 9118,
    ClientReportPlayer = 9119,
    ClientReportServer = 9120,
    ClientCommendPlayer = 9121,
    ClientReportResponse = 9122,
    ClientCommendPlayerQuery = 9123,
    ClientCommendPlayerQueryResponse = 9124,
    WatchInfoUsers = 9126,
    ClientRequestPlayersProfile = 9127,
    PlayersProfile = 9128,
    PlayerOverwatchCaseUpdate = 9131,
    PlayerOverwatchCaseAssignment = 9132,
    PlayerOverwatchCaseStatus = 9133,
    GC2ClientTextMsg = 9134,
    Client2GCTextMsg = 9135,
    MatchEndRunRewardDrops = 9136,
    MatchEndRewardDropsNotification = 9137,
    ClientRequestWatchInfoFriends2 = 9138,
    MatchList = 9139,
    MatchListRequestCurrentLiveGames = 9140,
    MatchListRequestRecentUserGames = 9141,
    GC2ServerReservationUpdate = 9142,
    ClientVarValueNotificationInfo = 9144,
    MatchListRequestTournamentGames = 9146,
    MatchListRequestFullGameInfo = 9147,
    GiftsLeaderboardRequest = 9148,
    GiftsLeaderboardResponse = 9149,
    ServerVarValueNotificationInfo = 9150,
    ClientSubmitSurveyVote = 9152,
    Server2GCClientValidate = 9153,
    MatchListRequestLiveGameForUser = 9154,
    Client2GCEconPreviewDataBlockRequest = 9156,
    Client2GCEconPreviewDataBlockResponse = 9157,
    AccountPrivacySettings = 9158,
    SetMyActivityInfo = 9159,
    MatchListRequestTournamentPredictions = 9160,
    MatchListUploadTournamentPredictions = 9161,
    DraftSummary = 9162,
    ClientRequestJoinFriendData = 9163,
    ClientRequestJoinServerData = 9164,
    GC2ClientTournamentInfo = 9167,
    GlobalGame_Subscribe = 9168,
    GlobalGame_Unsubscribe = 9169,
    GlobalGame_Play = 9170,
    AcknowledgePenalty = 9171,
    Client2GCRequestPrestigeCoin = 9172,
    GC2ClientGlobalStats = 9173,
    Client2GCStreamUnlock = 9174,
    FantasyRequestClientData = 9175,
    FantasyUpdateClientData = 9176,
    GCToClientSteamdatagramTicket = 9177,
    ClientToGCRequestTicket = 9178,
    ClientToGCRequestElevate = 9179,
    GlobalChat = 9180,
    GlobalChat_Subscribe = 9181,
    GlobalChat_Unsubscribe = 9182,
    ClientAuthKeyCode = 9183,
    GotvSyncPacket = 9184,
    ClientPlayerDecalSign = 9185,
    ClientLogonFatalError = 9187,
    ClientPollState = 9188,
    Party_Register = 9189,
    Party_Unregister = 9190,
    Party_Search = 9191,
    Party_Invite = 9192,
    Account_RequestCoPlays = 9193,
    ClientGCRankUpdate = 9194,
    ClientRequestOffers = 9195,
    ClientAccountBalance = 9196,
    ClientPartyJoinRelay = 9197,
    ClientPartyWarning = 9198,
    SetEventFavorite = 9200,
    GetEventFavorites_Request = 9201,
    ClientPerfReport = 9202,
    GetEventFavorites_Response = 9203,
    ClientRequestSouvenir = 9204,
    ClientReportValidation = 9205,
    GC2ClientRefuseSecureMode = 9206,
    GC2ClientRequestValidation = 9207,
    ClientRedeemMissionReward = 9209,
    ClientDeepStats = 9210,
    StartAgreementSessionInGame = 9211,
    GC2ClientInitSystem = 9212,
    GC2ClientInitSystem_Response = 9213,
    PrivateQueues = 9214,
    MatchListTournamentOperatorMgmt = 9215,
    BetaEnrollment = 9217,
    SetPlayerLeaderboardSafeName = 9218,
    ClientRedeemFreeReward = 9219,
    ClientNetworkConfig = 9220,
    GC2ClientNotifyXPShop = 9221,
    Client2GcAckXPShopTracks = 9222,
    MatchmakingGC2ClientSearchStats = 9223,
    PremierSeasonSummary = 9224,
    RequestRecurringMissionSchedule = 9225,
    RecurringMissionSchema = 9226,
    VolatileItemClaimReward = 9227,
}

impl ECsgoGCMsg {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Base as i32 => Some(Self::Base),
            x if x == Self::MatchmakingStart as i32 => Some(Self::MatchmakingStart),
            x if x == Self::MatchmakingStop as i32 => Some(Self::MatchmakingStop),
            x if x == Self::MatchmakingClient2ServerPing as i32 => Some(Self::MatchmakingClient2ServerPing),
            x if x == Self::MatchmakingGC2ClientUpdate as i32 => Some(Self::MatchmakingGC2ClientUpdate),
            x if x == Self::MatchmakingServerReservationResponse as i32 => Some(Self::MatchmakingServerReservationResponse),
            x if x == Self::MatchmakingGC2ClientReserve as i32 => Some(Self::MatchmakingGC2ClientReserve),
            x if x == Self::MatchmakingClient2GCHello as i32 => Some(Self::MatchmakingClient2GCHello),
            x if x == Self::MatchmakingGC2ClientHello as i32 => Some(Self::MatchmakingGC2ClientHello),
            x if x == Self::MatchmakingGC2ClientAbandon as i32 => Some(Self::MatchmakingGC2ClientAbandon),
            x if x == Self::MatchmakingOperator2GCBlogUpdate as i32 => Some(Self::MatchmakingOperator2GCBlogUpdate),
            x if x == Self::ServerNotificationForUserPenalty as i32 => Some(Self::ServerNotificationForUserPenalty),
            x if x == Self::ClientReportPlayer as i32 => Some(Self::ClientReportPlayer),
            x if x == Self::ClientReportServer as i32 => Some(Self::ClientReportServer),
            x if x == Self::ClientCommendPlayer as i32 => Some(Self::ClientCommendPlayer),
            x if x == Self::ClientReportResponse as i32 => Some(Self::ClientReportResponse),
            x if x == Self::ClientCommendPlayerQuery as i32 => Some(Self::ClientCommendPlayerQuery),
            x if x == Self::ClientCommendPlayerQueryResponse as i32 => Some(Self::ClientCommendPlayerQueryResponse),
            x if x == Self::WatchInfoUsers as i32 => Some(Self::WatchInfoUsers),
            x if x == Self::ClientRequestPlayersProfile as i32 => Some(Self::ClientRequestPlayersProfile),
            x if x == Self::PlayersProfile as i32 => Some(Self::PlayersProfile),
            x if x == Self::PlayerOverwatchCaseUpdate as i32 => Some(Self::PlayerOverwatchCaseUpdate),
            x if x == Self::PlayerOverwatchCaseAssignment as i32 => Some(Self::PlayerOverwatchCaseAssignment),
            x if x == Self::PlayerOverwatchCaseStatus as i32 => Some(Self::PlayerOverwatchCaseStatus),
            x if x == Self::GC2ClientTextMsg as i32 => Some(Self::GC2ClientTextMsg),
            x if x == Self::Client2GCTextMsg as i32 => Some(Self::Client2GCTextMsg),
            x if x == Self::MatchEndRunRewardDrops as i32 => Some(Self::MatchEndRunRewardDrops),
            x if x == Self::MatchEndRewardDropsNotification as i32 => Some(Self::MatchEndRewardDropsNotification),
            x if x == Self::ClientRequestWatchInfoFriends2 as i32 => Some(Self::ClientRequestWatchInfoFriends2),
            x if x == Self::MatchList as i32 => Some(Self::MatchList),
            x if x == Self::MatchListRequestCurrentLiveGames as i32 => Some(Self::MatchListRequestCurrentLiveGames),
            x if x == Self::MatchListRequestRecentUserGames as i32 => Some(Self::MatchListRequestRecentUserGames),
            x if x == Self::GC2ServerReservationUpdate as i32 => Some(Self::GC2ServerReservationUpdate),
            x if x == Self::ClientVarValueNotificationInfo as i32 => Some(Self::ClientVarValueNotificationInfo),
            x if x == Self::MatchListRequestTournamentGames as i32 => Some(Self::MatchListRequestTournamentGames),
            x if x == Self::MatchListRequestFullGameInfo as i32 => Some(Self::MatchListRequestFullGameInfo),
            x if x == Self::GiftsLeaderboardRequest as i32 => Some(Self::GiftsLeaderboardRequest),
            x if x == Self::GiftsLeaderboardResponse as i32 => Some(Self::GiftsLeaderboardResponse),
            x if x == Self::ServerVarValueNotificationInfo as i32 => Some(Self::ServerVarValueNotificationInfo),
            x if x == Self::ClientSubmitSurveyVote as i32 => Some(Self::ClientSubmitSurveyVote),
            x if x == Self::Server2GCClientValidate as i32 => Some(Self::Server2GCClientValidate),
            x if x == Self::MatchListRequestLiveGameForUser as i32 => Some(Self::MatchListRequestLiveGameForUser),
            x if x == Self::Client2GCEconPreviewDataBlockRequest as i32 => Some(Self::Client2GCEconPreviewDataBlockRequest),
            x if x == Self::Client2GCEconPreviewDataBlockResponse as i32 => Some(Self::Client2GCEconPreviewDataBlockResponse),
            x if x == Self::AccountPrivacySettings as i32 => Some(Self::AccountPrivacySettings),
            x if x == Self::SetMyActivityInfo as i32 => Some(Self::SetMyActivityInfo),
            x if x == Self::MatchListRequestTournamentPredictions as i32 => Some(Self::MatchListRequestTournamentPredictions),
            x if x == Self::MatchListUploadTournamentPredictions as i32 => Some(Self::MatchListUploadTournamentPredictions),
            x if x == Self::DraftSummary as i32 => Some(Self::DraftSummary),
            x if x == Self::ClientRequestJoinFriendData as i32 => Some(Self::ClientRequestJoinFriendData),
            x if x == Self::ClientRequestJoinServerData as i32 => Some(Self::ClientRequestJoinServerData),
            x if x == Self::GC2ClientTournamentInfo as i32 => Some(Self::GC2ClientTournamentInfo),
            x if x == Self::GlobalGame_Subscribe as i32 => Some(Self::GlobalGame_Subscribe),
            x if x == Self::GlobalGame_Unsubscribe as i32 => Some(Self::GlobalGame_Unsubscribe),
            x if x == Self::GlobalGame_Play as i32 => Some(Self::GlobalGame_Play),
            x if x == Self::AcknowledgePenalty as i32 => Some(Self::AcknowledgePenalty),
            x if x == Self::Client2GCRequestPrestigeCoin as i32 => Some(Self::Client2GCRequestPrestigeCoin),
            x if x == Self::GC2ClientGlobalStats as i32 => Some(Self::GC2ClientGlobalStats),
            x if x == Self::Client2GCStreamUnlock as i32 => Some(Self::Client2GCStreamUnlock),
            x if x == Self::FantasyRequestClientData as i32 => Some(Self::FantasyRequestClientData),
            x if x == Self::FantasyUpdateClientData as i32 => Some(Self::FantasyUpdateClientData),
            x if x == Self::GCToClientSteamdatagramTicket as i32 => Some(Self::GCToClientSteamdatagramTicket),
            x if x == Self::ClientToGCRequestTicket as i32 => Some(Self::ClientToGCRequestTicket),
            x if x == Self::ClientToGCRequestElevate as i32 => Some(Self::ClientToGCRequestElevate),
            x if x == Self::GlobalChat as i32 => Some(Self::GlobalChat),
            x if x == Self::GlobalChat_Subscribe as i32 => Some(Self::GlobalChat_Subscribe),
            x if x == Self::GlobalChat_Unsubscribe as i32 => Some(Self::GlobalChat_Unsubscribe),
            x if x == Self::ClientAuthKeyCode as i32 => Some(Self::ClientAuthKeyCode),
            x if x == Self::GotvSyncPacket as i32 => Some(Self::GotvSyncPacket),
            x if x == Self::ClientPlayerDecalSign as i32 => Some(Self::ClientPlayerDecalSign),
            x if x == Self::ClientLogonFatalError as i32 => Some(Self::ClientLogonFatalError),
            x if x == Self::ClientPollState as i32 => Some(Self::ClientPollState),
            x if x == Self::Party_Register as i32 => Some(Self::Party_Register),
            x if x == Self::Party_Unregister as i32 => Some(Self::Party_Unregister),
            x if x == Self::Party_Search as i32 => Some(Self::Party_Search),
            x if x == Self::Party_Invite as i32 => Some(Self::Party_Invite),
            x if x == Self::Account_RequestCoPlays as i32 => Some(Self::Account_RequestCoPlays),
            x if x == Self::ClientGCRankUpdate as i32 => Some(Self::ClientGCRankUpdate),
            x if x == Self::ClientRequestOffers as i32 => Some(Self::ClientRequestOffers),
            x if x == Self::ClientAccountBalance as i32 => Some(Self::ClientAccountBalance),
            x if x == Self::ClientPartyJoinRelay as i32 => Some(Self::ClientPartyJoinRelay),
            x if x == Self::ClientPartyWarning as i32 => Some(Self::ClientPartyWarning),
            x if x == Self::SetEventFavorite as i32 => Some(Self::SetEventFavorite),
            x if x == Self::GetEventFavorites_Request as i32 => Some(Self::GetEventFavorites_Request),
            x if x == Self::ClientPerfReport as i32 => Some(Self::ClientPerfReport),
            x if x == Self::GetEventFavorites_Response as i32 => Some(Self::GetEventFavorites_Response),
            x if x == Self::ClientRequestSouvenir as i32 => Some(Self::ClientRequestSouvenir),
            x if x == Self::ClientReportValidation as i32 => Some(Self::ClientReportValidation),
            x if x == Self::GC2ClientRefuseSecureMode as i32 => Some(Self::GC2ClientRefuseSecureMode),
            x if x == Self::GC2ClientRequestValidation as i32 => Some(Self::GC2ClientRequestValidation),
            x if x == Self::ClientRedeemMissionReward as i32 => Some(Self::ClientRedeemMissionReward),
            x if x == Self::ClientDeepStats as i32 => Some(Self::ClientDeepStats),
            x if x == Self::StartAgreementSessionInGame as i32 => Some(Self::StartAgreementSessionInGame),
            x if x == Self::GC2ClientInitSystem as i32 => Some(Self::GC2ClientInitSystem),
            x if x == Self::GC2ClientInitSystem_Response as i32 => Some(Self::GC2ClientInitSystem_Response),
            x if x == Self::PrivateQueues as i32 => Some(Self::PrivateQueues),
            x if x == Self::MatchListTournamentOperatorMgmt as i32 => Some(Self::MatchListTournamentOperatorMgmt),
            x if x == Self::BetaEnrollment as i32 => Some(Self::BetaEnrollment),
            x if x == Self::SetPlayerLeaderboardSafeName as i32 => Some(Self::SetPlayerLeaderboardSafeName),
            x if x == Self::ClientRedeemFreeReward as i32 => Some(Self::ClientRedeemFreeReward),
            x if x == Self::ClientNetworkConfig as i32 => Some(Self::ClientNetworkConfig),
            x if x == Self::GC2ClientNotifyXPShop as i32 => Some(Self::GC2ClientNotifyXPShop),
            x if x == Self::Client2GcAckXPShopTracks as i32 => Some(Self::Client2GcAckXPShopTracks),
            x if x == Self::MatchmakingGC2ClientSearchStats as i32 => Some(Self::MatchmakingGC2ClientSearchStats),
            x if x == Self::PremierSeasonSummary as i32 => Some(Self::PremierSeasonSummary),
            x if x == Self::RequestRecurringMissionSchedule as i32 => Some(Self::RequestRecurringMissionSchedule),
            x if x == Self::RecurringMissionSchema as i32 => Some(Self::RecurringMissionSchema),
            x if x == Self::VolatileItemClaimReward as i32 => Some(Self::VolatileItemClaimReward),
            _ => None,
        }
    }
}
